List rows from a custom reference data source
curl --request POST \
--url https://api.artu.ai/custom-reference-data/rows/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offset": 0,
"limit": 20,
"includeTotalCount": true,
"filter": {},
"sort": [
{
"field": "<string>"
}
],
"asOf": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.artu.ai/custom-reference-data/rows/list"
payload = {
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offset": 0,
"limit": 20,
"includeTotalCount": True,
"filter": {},
"sort": [{ "field": "<string>" }],
"asOf": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sourceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
offset: 0,
limit: 20,
includeTotalCount: true,
filter: {},
sort: [{field: '<string>'}],
asOf: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.artu.ai/custom-reference-data/rows/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/custom-reference-data/rows/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sourceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'offset' => 0,
'limit' => 20,
'includeTotalCount' => true,
'filter' => [
],
'sort' => [
[
'field' => '<string>'
]
],
'asOf' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/custom-reference-data/rows/list"
payload := strings.NewReader("{\n \"sourceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"offset\": 0,\n \"limit\": 20,\n \"includeTotalCount\": true,\n \"filter\": {},\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ],\n \"asOf\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/custom-reference-data/rows/list")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sourceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"offset\": 0,\n \"limit\": 20,\n \"includeTotalCount\": true,\n \"filter\": {},\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ],\n \"asOf\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/custom-reference-data/rows/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sourceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"offset\": 0,\n \"limit\": 20,\n \"includeTotalCount\": true,\n \"filter\": {},\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ],\n \"asOf\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Custom Reference Data
List rows from a custom reference data source
POST
/
custom-reference-data
/
rows
/
list
List rows from a custom reference data source
curl --request POST \
--url https://api.artu.ai/custom-reference-data/rows/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offset": 0,
"limit": 20,
"includeTotalCount": true,
"filter": {},
"sort": [
{
"field": "<string>"
}
],
"asOf": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.artu.ai/custom-reference-data/rows/list"
payload = {
"sourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"offset": 0,
"limit": 20,
"includeTotalCount": True,
"filter": {},
"sort": [{ "field": "<string>" }],
"asOf": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
sourceId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
offset: 0,
limit: 20,
includeTotalCount: true,
filter: {},
sort: [{field: '<string>'}],
asOf: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.artu.ai/custom-reference-data/rows/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/custom-reference-data/rows/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'sourceId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'offset' => 0,
'limit' => 20,
'includeTotalCount' => true,
'filter' => [
],
'sort' => [
[
'field' => '<string>'
]
],
'asOf' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/custom-reference-data/rows/list"
payload := strings.NewReader("{\n \"sourceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"offset\": 0,\n \"limit\": 20,\n \"includeTotalCount\": true,\n \"filter\": {},\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ],\n \"asOf\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/custom-reference-data/rows/list")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"sourceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"offset\": 0,\n \"limit\": 20,\n \"includeTotalCount\": true,\n \"filter\": {},\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ],\n \"asOf\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/custom-reference-data/rows/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"sourceId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"offset\": 0,\n \"limit\": 20,\n \"includeTotalCount\": true,\n \"filter\": {},\n \"sort\": [\n {\n \"field\": \"<string>\"\n }\n ],\n \"asOf\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_body{
"data": [
{}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
Was this page helpful?
